org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Interface ChooseVmControl.Logic

Enclosing class:
  ChooseVmControl

    public static interface ChooseVmControl.Logic

A public logic-oriented interface to this control.

### Nested Class Summary

Nested Classes
`static interface` `ChooseVmControl.Logic.Listener`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addListener(ChooseVmControl.Logic.Listener listener)`
`Control` `getControl()`
`java.util.List<ScriptTargetMapping>` `getSelected()`
`void` `removeListener(ChooseVmControl.Logic.Listener listener)`
`void` `selectAll()`
`void` `setData(java.util.List<? extends ScriptTargetMapping> targets)`

### Method Detail

#### getControl

    Control getControl()

#### setData

    void setData(java.util.List<? extends ScriptTargetMapping> targets)

#### getSelected

    java.util.List<ScriptTargetMapping> getSelected()

#### selectAll

    void selectAll()

#### addListener

    void addListener(ChooseVmControl.Logic.Listener listener)

#### removeListener

    void removeListener(ChooseVmControl.Logic.Listener listener)